Bug 1444182 - Sorting configuration providers by url throws "undefinedColumn: ERROR: column providers.url does not exist"
Summary: Sorting configuration providers by url throws "undefinedColumn: ERROR: column...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.3
Assignee: lgalis
QA Contact: Anurag
URL:
Whiteboard: ui:error:satellite
Depends On: 1384330
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 19:01 UTC by Satoe Imaishi
Modified: 2017-06-28 15:00 UTC (History)
9 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1384330
Environment:
Last Closed: 2017-06-28 15:00:50 UTC
Category: ---
Cloudforms Team: Satellite
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-04 16:00:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/4b62b47ca5d6c4a47508ecd6955f6d5d38ffc946

commit 4b62b47ca5d6c4a47508ecd6955f6d5d38ffc946
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Thu Apr 20 09:38:57 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 4 11:56:41 2017 -0400

    Merge pull request #14810 from lgalis/foreman_sort_by_url
    
    Fix sort by url for the configuration manager provider list
    (cherry picked from commit 8ba23bf3fff6588db89441408a225897bf4290a7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444182

 app/models/manageiq/providers/configuration_manager.rb             | 3 +++
 product/views/ManageIQ_Providers_ConfigurationManager.yaml         | 4 ++--
 product/views/ManageIQ_Providers_Foreman_ConfigurationManager.yaml | 4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

Comment 3 CFME Bot 2017-05-04 16:01:02 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/4fc6b137b5bc3dfc7e206271a100fe1b9e003ef1

commit 4fc6b137b5bc3dfc7e206271a100fe1b9e003ef1
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Apr 21 17:30:39 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 4 11:59:15 2017 -0400

    Merge pull request #1086 from lgalis/foreman_url_sort_spec
    
    Spec for configuration manager providers sort by url
    (cherry picked from commit 7769b5cad7cb8623009de2e6e5573cf68a92f590)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444182

 app/views/layouts/listnav/_configuration_job.html.haml |  2 +-
 spec/controllers/provider_foreman_controller_spec.rb   | 10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

Comment 4 Anurag 2017-06-13 06:23:53 UTC
Sorting configuration providers by url throws no errors.

Verified in version:5.7.3.1.20170608124102_4b35a9e

Comment 6 errata-xmlrpc 2017-06-28 15:00:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.